package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.HostModel;

import java.util.List;

public class StorageIScsiPortModel {
    private Long storageId; // 所属存储
    private String portUuid; // 唯一标识
    private String name; // 名称
    private Boolean acl; // 是否开启ACL过滤
    private Integer sessionCount; // session数量
    private List<String> volumes; // 添加到iSCSI端口的卷名称，格式：poolName/volumeName
    private List<String> gatewayHostnames; // 网关服务器主机名列表
    private List<StorageHostModel> hosts; // 所属于iSCSI端口主机
    private List<HostModel> addGateways; // 该target中要添加的网关服务器
    private List<HostModel> allGateways; // 所有的网关服务器

    public Long getStorageId() {
        return storageId;
    }

    public void setStorageId(Long storageId) {
        this.storageId = storageId;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getAcl() {
        return acl;
    }

    public void setAcl(Boolean acl) {
        this.acl = acl;
    }

    public Integer getSessionCount() {
        return sessionCount;
    }

    public void setSessionCount(Integer sessionCount) {
        this.sessionCount = sessionCount;
    }

    public List<String> getVolumes() {
        return volumes;
    }

    public void setVolumes(List<String> volumes) {
        this.volumes = volumes;
    }

    public List<String> getGatewayHostnames() {
        return gatewayHostnames;
    }

    public void setGatewayHostnames(List<String> gatewayHostnames) {
        this.gatewayHostnames = gatewayHostnames;
    }

    public List<StorageHostModel> getHosts() {
        return hosts;
    }

    public void setHosts(List<StorageHostModel> hosts) {
        this.hosts = hosts;
    }

    public List<HostModel> getAddGateways() {
        return addGateways;
    }

    public void setAddGateways(List<HostModel> addGateways) {
        this.addGateways = addGateways;
    }

    public List<HostModel> getAllGateways() {
        return allGateways;
    }

    public void setAllGateways(List<HostModel> allGateways) {
        this.allGateways = allGateways;
    }
}
